import 'package:ocg_user/ocg_user.dart';

abstract class LoginEvent {}

class LoginCheckEvent extends LoginEvent {}

class LoginMobileEvent extends LoginEvent {
  final String mobileNumber;

  LoginMobileEvent(this.mobileNumber);
}

class LoginOTPEvent extends LoginEvent {
  final String mobileNumber;
  final String otp;

  LoginOTPEvent(this.mobileNumber, this.otp);
}

class LoginProfileCompleteEvent extends LoginEvent {
  final User user;

  LoginProfileCompleteEvent(
    this.user,
  );
}
